import request from 'src/utils/request'
import sysRequest from 'src/utils/sysRequest'
// 查询子系统信息管理列表
export function listSubsystem(query) {
  return sysRequest({
    url: '/qrcode/device/api/device/subsyst/info/list',
    method: 'get',
    params: query
  })
}

// 查询子系统信息管理详细
export function getSubsystem(id) {
  return request({
    url: '/qrcode/device/subsystem/' + id,
    method: 'get'
  })
}
// 查询子系统控制设备配置信息
export function getSubsystemConfig(id) {
  return request({
    url: '/qrcode/device/subsystem/config/' + id,
    method: 'get'
  })
}
// 查询控制部件信息
export function getControlunitInfo() {
  return request({
    url: '/qrcode/device/subsystem/getControlunitInfo',
    method: 'get'
  })
}
// 新增控制部件信息
export function addControlunitInfo(id,unitIds) {
  return request({
    url: '/qrcode/device/subsystem/addControlunitInfo?subSystemId='+id+'&unitId='+unitIds,
    method: 'get'
  })
}

// 新增子系统信息管理
export function addSubsystem(data) {
  return request({
    url: '/qrcode/device/subsystem',
    method: 'post',
    data: data
  })
}

// // 修改子系统信息管理
// export function updateSubsystem(data) {
//   return sysRequest({
//     url: '/qrcode/device/subsystem',
//     method: 'put',
//     data: data
//   })
// }
// 修改子系统信息管理
export function updateSubsystem(data) {
  return sysRequest({
    url: '/qrcode/device/subsystem/updateSubSystem',
    method: 'put',
    data: data
  })
}

// 删除子系统信息管理
export function delSubsystem(id) {
  return request({
    url: '/qrcode/device/subsystem/' + id,
    method: 'delete'
  })
}